// (C) Copyright 2020 Hewlett-Packard Enterprise Company, L.P.
define(['hp/core/Router'],
function (router) { "use strict";

    var DevelopmentRoutes = ( function() {

        var CHANGE_CONTAINER = '#hp-change-page-container';

        function DevelopmentRoutes() {

            var registered = false;

            this.register = function () {

                if (registered) {
                    return;
                }
                registered = true;

                router.map('settings edit development', '/settings/edit/development$', {
                    container: CHANGE_CONTAINER,
                    enter: function (location, result) {
                        require(['text!hpPages/settings/development/edit.html',
                            'hp/view/settings/DevelopmentEditView'],
                        function (page, view) {
                            result.load(page, view);
                        });
                    }
                });

            };
        }

        return new DevelopmentRoutes();
    }());

    return DevelopmentRoutes;
});
